# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

## Resource bundle for package org.netbeans.modules.profiler.

OpenIDE-Module-Display-Category=Profiling
OpenIDE-Module-Name=Java Profiler (Java EE Projects Support)
OpenIDE-Module-Long-Description=Add-on for NetBeans Profiler providing support for profiling J2EE projects.

NBProfiler/Categories/EJBContainer=Enterprise Beans
NBProfiler/Categories/EJBContainer/Lifecycle=Lifecycle
NBProfiler/Categories/EJBContainer/Persistence=Persistence
NBProfiler/Categories/EJBContainer/Pooling=Pooling

NBProfiler/Categories/JAX-WS=JAX-WS
NBProfiler/Categories/JAX-WS/Codec=Codec
NBProfiler/Categories/JAX-WS/EndpointInvocation=Endpoint Invocation
NBProfiler/Categories/JAX-WS/HTTPTransport=HTTP Transport
NBProfiler/Categories/JAX-WS/Streaming=Streaming
NBProfiler/Categories/JAX-WS/MessageProcessing=Message Processing

NBProfiler/Categories/WebContainer=Web Container
NBProfiler/Categories/WebContainer/JSPs=JSPs
NBProfiler/Categories/WebContainer/JSTL=JSTL
NBProfiler/Categories/WebContainer/Listeners=Listeners
NBProfiler/Categories/WebContainer/Servlets=Servlets
NBProfiler/Categories/WebContainer/Servlets/LifeCycle=Life Cycle
NBProfiler/Categories/WebContainer/Filters=Filters
NBProfiler/Categories/WebContainer/Filters/LifeCycle=Life Cycle

NBProfiler/Categories/Persistence=Persistence
NBProfiler/Categories/Persistence/Hibernate=Hibernate
NBProfiler/Categories/Persistence/JDBC=JDBC
NBProfiler/Categories/Persistence/JDBC/Connection=Connection
NBProfiler/Categories/Persistence/JDBC/Statements=Statements
NBProfiler/Categories/Persistence/JPA=JPA

J2EEProjectTypeProfiler_ModifyBuildScriptCaption=Enable Profiling of {0}
J2EEProjectTypeProfiler_ModifyBuildScriptMsg=<html><b>Profiler is not integrated with project {0}.<br>Click OK to perform the integration.</b><br><br>As part of the integration, the project build script will be modified.<br>The original file will be backed up as {1}.<br><br>Note: You can undo the profiler integration at any time by invoking<br>Profile | Advanced Commands | Unintegrate Profiler from the main menu.</html>
J2EEProjectTypeProfiler_RegenerateBuildScriptMsg=The {0} build script has been modified.\nIt needs to be regenerated to proceed with profiling.\n\nDo you want to continue?
J2EEProjectTypeProfiler_CannotFindBuildScriptMsg=Cannot find the project {0} file.
J2EEProjectTypeProfiler_CannotBackupBuildScriptMsg=The project build script cannot be backed up. Do you still want to continue?
J2EEProjectTypeProfiler_ModifyBuildScriptManuallyMsg=The project {0} file cannot be automatically modified for profiling. You need to manually insert the following import clause in it:\n{1}\nPlease perform this change and start profiling again.
# HTML-formatted
J2EEProjectTypeProfiler_ProjectCategory=Project
J2EEProjectTypeProfiler_WebContainerCategory=Web container
J2EEProjectTypeProfiler_LifecycleCategory=Lifecycle
J2EEProjectTypeProfiler_ExecutiveCategory=Executive
J2EEProjectTypeProfiler_JspCategory=JSPs
J2EEProjectTypeProfiler_TagsCategory=Tags
J2EEProjectTypeProfiler_ServletsCategory=Servlets
J2EEProjectTypeProfiler_FiltersCategory=Filters
J2EEProjectTypeProfiler_ListenersCategory=Listeners
J2EEProjectTypeProfiler_EjbContainerCategory=EJB container
J2EEProjectTypeProfiler_PoolingCategory=Pooling
J2EEProjectTypeProfiler_ContainerCallbacksCategory=Container callbacks
J2EEProjectTypeProfiler_PersistenceCategory=Persistence
J2EEProjectTypeProfiler_JdbcCategory=JDBC
J2EEProjectTypeProfiler_ConnectionMgmtCategory=Connection management
J2EEProjectTypeProfiler_StatementsCategory=Statements
J2EEProjectTypeProfiler_JpaCategory=JPA
J2EEProjectTypeProfiler_HibernateCategory=Hibernate
J2EEProjectTypeProfiler_SOAPCategory=SOAP functionality
J2EEProjectTypeProfiler_SOAPProtocolParsingCategory=Parsing + SOAP protocol handling
J2EEProjectTypeProfiler_SOAPSerialization=Serialization
J2EEProjectTypeProfiler_SOAPEndpointCategory=Endpoint processing
J2EEProjectTypeProfiler_SOAPReplyCategory=Sending a reply (network there)

LoadGenPanel_NoScripts=<No scripts for project>
LoadGenPanel.scriptsEnabled.text=&LoadGenerator Script

DirectorySelectorCombo.fileMRU.AccessibleContext.accessibleName=Directory selector

DirectorySelectorCombo.fileMRU.AccessibleContext.accessibleDescription=Select directory

LoadGenPanel.scriptsCombo.AccessibleContext.accessibleName=Script chooser

LoadGenPanel.scriptsCombo.AccessibleContext.accessibleDescription=Select load generator script
